无法通过apt-get在Ubuntu 12.04.4上找到软件包libffi和libffi5-dev

Modified on: Mon, 25 Jun 2018 07:51:53 +0800
$ sudo apt-get install libffi libffi5-dev
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package libffi
E: Unable to locate package libffi5-dev

另一次尝试:

$ sudo apt-get install libffi5 libffi-dev
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package libffi5

$ cat /etc/issue  
Ubuntu 12.04.4 LTS \n \l

我现在应该做什么?

最佳答案

这些包被称为libffi6libffi-dev

可以在http://packages.ubuntu.com/上搜索包名称


要搜索包,请使用apt-cache search
您的案例中的示例可以帮助您:

$ apt-cache search libffi
libffi-dev - Foreign Function Interface library (development files)
libffi6 - Foreign Function Interface library runtime
libffi6-dbg - Foreign Function Interface library runtime (debug symbols)
ffindex-dbg - simple index/database for huge amounts of small files (debug)
libbfio-dbg - Library to provide basic input/output abstraction (debug)
libffindex0 - library for simple index/database for huge amounts of small files
libffindex0-dev - library for simple index/database for huge amounts of small files (development)
libjffi-java - Java Foreign Function Interface
libjffi-jni - Java Foreign Function Interface (JNI library)
作者:Pandya,Jan

相关问答

添加新评论